Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IBufferOutputStreamSettings Class Reference
BufferOutputStreamSettings

Interface that exposes the configuration available to Buffer-based OutputStreams. More...

`#include <BufferStream.h>`

Inheritance diagram for Argus::IBufferOutputStreamSettings:

List of all members.

## Public Member Functions
virtual Status | setBufferType (const BufferType &type)=0
| Sets the BufferType for the stream.
virtual BufferType | getBufferType () const =0
| Returns the BufferType to be used for the stream.
virtual Status | setSyncType (const SyncType &type)=0
| Sets the SyncType for the stream.
virtual SyncType | getSyncType () const =0
| Returns the SyncType to be used for the stream.
virtual void | setMetadataEnable (bool enable)=0
| Sets the metadata enable for the stream.
virtual bool | getMetadataEnable () const =0
| Returns the metadata enable.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IBufferOutputStreamSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface that exposes the configuration available to Buffer-based OutputStreams.

Definition at line 156 of file BufferStream.h.

## Constructor & Destructor Documentation

Argus::IBufferOutputStreamSettings::~IBufferOutputStreamSettings | ( |  | ) |
| inline protected

Definition at line 210 of file BufferStream.h.

## Member Function Documentation

virtual BufferType Argus::IBufferOutputStreamSettings::getBufferType | ( |  | ) | const
| pure virtual

Returns the BufferType to be used for the stream.

virtual bool Argus::IBufferOutputStreamSettings::getMetadataEnable | ( |  | ) | const
| pure virtual

Returns the metadata enable.

virtual SyncType Argus::IBufferOutputStreamSettings::getSyncType | ( |  | ) | const
| pure virtual

Returns the SyncType to be used for the stream.

static const InterfaceID& Argus::IBufferOutputStreamSettings::id | ( |  | ) |
| inline static

Definition at line 159 of file BufferStream.h.

virtual Status Argus::IBufferOutputStreamSettings::setBufferType | ( | const BufferType & | type | ) |
| pure virtual

Sets the BufferType for the stream.

This controls which type of native buffer type will be wrapped by this OutputStream, and thus will dictate which interfaces are supported by the OutputStream and child BufferSettings and Buffer objects. This value defaults to BUFFER_TYPE_NONE and must be set by the application to a BufferType supported by this libargus implementation.

Parameters:

  [in] | type | The BufferType to use for the new OutputStream.

virtual void Argus::IBufferOutputStreamSettings::setMetadataEnable | ( | bool | enable | ) |
| pure virtual

Sets the metadata enable for the stream.

When metadata is enabled, a CaptureMetadata object may be attached to each Buffer when it is output from libargus as the result of a successful capture request (see IBuffer::getMetadata).

Parameters:

  [in] | enable | Whether or not metadata is enabled for the stream.

virtual Status Argus::IBufferOutputStreamSettings::setSyncType | ( | const SyncType & | type | ) |
| pure virtual

Sets the SyncType for the stream.

This controls which type of native sync information will be attached to Buffers for sync support between libargus and the application. This value defaults to SYNC_TYPE_NONE, which means that no sync information will be supported. In this case, both the application and libargus are expected to be done all read and/or write operations before passing the Buffer to the other.

Parameters:

  [in] | type | The SyncType to use for the new OutputStream.

The documentation for this class was generated from the following file:

- include/Argus/BufferStream.h